Home Forums Theme support Sundance Theme – Easy Reservations Fatal error: Call to undefined function WC

This topic contains 3 replies, has 2 voices, and was last updated by  7Theme Support 1 month, 2 weeks ago.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • Fatal error: Uncaught Error: Call to undefined function WC() in /web-root-path/wp-content/plugins/easyreservations/includes/admin/class-er-admin.php:264 Stack trace: #0 /web-root-path/wp-content/plugins/easyreservations/includes/admin/class-er-admin.php(227): ER_Admin->admin_scripts() #1 /web-root-path/wp-includes/class-wp-hook.php(287): ER_Admin->load_scripts(‘index.php’) #2 /web-root-path/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array) #3 /web-root-path/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #4 /web-root-path/wp-admin/admin-header.php(102): do_action(‘admin_enqueue_s…’, ‘index.php’) #5 /web-root-path/wp-admin/index.php(111): require_once(‘/web-root-path-less-one-level…’) #6 {main} thrown in /web-root-path/wp-content/plugins/easyreservations/includes/admin/class-er-admin.php on line 264

    There has been a critical error on your website.

    Front end works with just one line of error code appearing at top, but unable to login in to any part of wp-admin

    Hi,
    generally, that’s a problem with the Easy Reservation plugin, not with the theme. We checked the error code and the plugin, they changed a lot of code in the last releases. 

    When did the problem appear? After an update? Have you already contacted the plugin developer?

    The first thing I would do is to rename the folder “wp-content/plugins/easyreservation/” with FTP, this will deactivate the plugin, then you’ll be again able to access your admin. 

    We don’t like or want Easy Reservations, but it is a required component of the Sundance theme?? Problem appeared on the admin side in the past week when we went in to edit text on a resource. Yes, can disable the plugin, but the Sundance theme wants to reinstall it immediately?

    Yes, you are right, we should remove the plugin requirement. We will make an update as soon as possible. In the meantime you can rename the plugin in the plugins folder, this will fix it for the moment.

Viewing 4 posts - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.